Open main menu
API Reference
Guides
Download Spec
View Changelog
Loading groups...
API Changelog: API Documentation
Previous
Next
Showing page
4
of
19
(
130
dates with changes)
Previous
1
2
3
4
5
6
...
19
Next
June 01, 2026
102 changes
102 changes
click to expand
+
Request body
added
agent_config
Schema changes
+
content:
+
application/vnd.api+json:
+
schema:
+
type: object
+
properties:
+
data:
+
type: object
+
properties:
+
attributes:
+
type: object
+
required:
+
- agent_id
+
properties:
+
agent_id:
+
"$ref": "#/components/schemas/resource_agent_config/properties/agent_id"
+
instructions:
+
"$ref": "#/components/schemas/resource_agent_config/properties/instructions"
+
+
Request body
added
agent
Schema changes
+
content:
+
application/vnd.api+json:
+
schema:
+
type: object
+
properties:
+
data:
+
type: object
+
properties:
+
attributes:
+
type: object
+
required:
+
- name
+
- manager_id
+
properties:
+
name:
+
"$ref": "#/components/schemas/resource_agent/properties/name"
+
title:
+
"$ref": "#/components/schemas/resource_agent/properties/title"
+
avatar_url:
+
"$ref": "#/components/schemas/resource_agent/properties/avatar_url"
+
manager_id:
+
"$ref": "#/components/schemas/resource_agent/properties/manager_id"
+
custom_role_id:
+
"$ref": "#/components/schemas/resource_agent/properties/custom_role_id"
+
+
Request body
added
agent_role
Schema changes
+
content:
+
application/vnd.api+json:
+
schema:
+
type: object
+
properties:
+
data:
+
type: object
+
properties:
+
attributes:
+
type: object
+
properties:
+
permissions:
+
"$ref": "#/components/schemas/resource_role/properties/permissions"
+
+
Request body
added
agent_config_update
Schema changes
+
content:
+
application/vnd.api+json:
+
schema:
+
type: object
+
properties:
+
data:
+
type: object
+
properties:
+
attributes:
+
type: object
+
properties:
+
instructions:
+
"$ref": "#/components/schemas/resource_agent_config/properties/instructions"
+
~
Request body
modified
task
Schema changes
"$ref": "#/components/schemas/resource_task/properties/start_date"
assignee_id:
"$ref": "#/components/schemas/resource_task/properties/assignee_id"
-
description:
-
"$ref": "#/components/schemas/resource_task/properties/description"
task_list_id:
"$ref": "#/components/schemas/resource_task/properties/task_list_id"
custom_fields:
~
Request body
modified
folder
Schema changes
type: object
required:
- name
-
- project_id
properties:
name:
"$ref": "#/components/schemas/resource_folder/properties/name"
~
Request body
modified
todo
Schema changes
properties:
attributes:
type: object
-
required:
-
- description
properties:
closed:
"$ref": "#/components/schemas/resource_todo/properties/closed"
...
x-required: Required if deal_id is not present
due_date:
"$ref": "#/components/schemas/resource_todo/properties/due_date"
+
x-required: Required if due_time is present
+
due_time:
+
"$ref": "#/components/schemas/resource_todo/properties/due_time"
position:
"$ref": "#/components/schemas/resource_todo/properties/position"
assignee_id:
"$ref": "#/components/schemas/resource_todo/properties/assignee_id"
-
description:
-
"$ref": "#/components/schemas/resource_todo/properties/description"
~
Request body
modified
task_list
Schema changes
required:
- name
- project_id
-
- folder_id
properties:
name:
"$ref": "#/components/schemas/resource_task_list/properties/name"
+
board_id:
+
"$ref": "#/components/schemas/resource_task_list/properties/board_id"
+
x-required: Required if folder_id is not present
position:
"$ref": "#/components/schemas/resource_task_list/properties/position"
folder_id:
"$ref": "#/components/schemas/resource_task_list/properties/folder_id"
+
x-required: Required if board_id is not present
project_id:
"$ref": "#/components/schemas/resource_task_list/properties/project_id"
~
Request body
modified
task_dependency
Schema changes
required:
- dependent_task_id
- task_id
-
- type_id
properties:
task_id:
"$ref": "#/components/schemas/resource_task_dependency/properties/task_id"
+
Group
added
Agent Configs
Schema changes
+
name: Agent Configs
+
x-resource: resource_agent_config
+
-
Group
removed
Approval Status
Schema changes
-
name: Approval Status
-
x-resource: resource_approval_status
-
+
Group
added
Agent Roles
Schema changes
+
name: Agent Roles
+
x-resource: resource_role
+
-
Group
removed
Backoffice Organization Reports
Schema changes
-
name: Backoffice Organization Reports
-
x-resource: resource_backoffice_organization_report
-
+
Group
added
Agents
Schema changes
+
name: Agents
+
x-resource: resource_agent
+
+
Group
added
Backoffice Organization Reports
Schema changes
+
name: Backoffice Organization Reports
+
x-resource: resource_backoffice_organization_report
+
+
Group
added
Approval Status
Schema changes
+
name: Approval Status
+
x-resource: resource_approval_status
+
+
Schema
added
resource_agent
Schema changes
+
type: object
+
title: Agent Resource
+
required: false
+
properties:
+
id:
+
type: integer
+
title: Id
+
x-used-in:
+
- filter
+
name:
+
type: string
+
title: Name
+
x-used-in:
+
- serializer
+
- form
+
- filter
+
- sorter
+
query:
+
type: string
+
title: Query
+
x-used-in:
+
- filter
+
title:
+
type: string
+
title: Title
+
x-used-in:
+
- serializer
+
- form
+
- filter
+
- sorter
+
tools:
+
type: array
+
items:
+
type: string
+
title: Tools
+
x-used-in:
+
- filter
+
person:
+
title: Person
+
x-used-in:
+
- serializer
+
x-relationship: has_one
+
x-related-resource: resource_person
+
status:
+
enum:
+
- active
+
- deactivated
+
type: string
+
title: Status
+
x-enums:
+
active: Active
+
deactivated: Deactivated
+
x-used-in:
+
- serializer
+
manager:
+
title: Manager
+
x-used-in:
+
- serializer
+
x-relationship: has_one
+
x-related-resource: resource_person
+
status_id:
+
enum:
+
- 1
+
- 2
+
type: integer
+
title: Status
+
x-enums:
+
'1': Active
+
'2': Deactivated
+
x-used-in:
+
- filter
+
avatar_url:
+
type: string
+
title: Avatar URL
+
x-used-in:
+
- serializer
+
- form
+
created_at:
+
type: string
+
title: Created At
+
format: date-time
+
x-used-in:
+
- serializer
+
- filter
+
- sorter
+
manager_id:
+
type: integer
+
title: Manager
+
x-used-in:
+
- form
+
- filter
+
updated_at:
+
type: string
+
title: Updated At
+
format: date-time
+
x-used-in:
+
- serializer
+
- sorter
+
custom_role:
+
title: Custom Role
+
x-used-in:
+
- serializer
+
x-relationship: has_one
+
x-related-resource: resource_role
+
agent_config:
+
title: Agent Config
+
x-used-in:
+
- serializer
+
x-relationship: has_one
+
x-related-resource: resource_agent_config
+
custom_role_id:
+
type: integer
+
title: Custom Role
+
x-used-in:
+
- form
+
- filter
+
deactivated_at:
+
type: string
+
title: Deactivated At
+
format: date-time
+
x-used-in:
+
- serializer
+
- filter
+
+
Schema
added
_filter_root_agent
Schema changes
+
oneOf:
+
- type: object
+
title: Advanced filters
+
required:
+
- "$op"
+
properties:
+
"$op":
+
enum:
+
- or
+
- and
+
type: string
+
x-enums:
+
or: OR
+
and: AND
+
patternProperties:
+
"^[0-9]+$":
+
"$ref": "#/components/schemas/_filter_root_agent"
+
- "$ref": "#/components/schemas/filter_agent"
+
required: false
+
x-internal: true
+
+
Schema
added
filter_agent
Schema changes
+
type: object
+
title: Filter agent
+
required: false
+
properties:
+
id:
+
oneOf:
+
- type: object
+
title: Operation
+
properties:
+
eq:
+
"$ref": "#/components/schemas/resource_agent/properties/id"
+
not_eq:
+
"$ref": "#/components/schemas/resource_agent/properties/id"
+
contains:
+
"$ref": "#/components/schemas/resource_agent/properties/id"
+
not_contain:
+
"$ref": "#/components/schemas/resource_agent/properties/id"
+
- "$ref": "#/components/schemas/resource_agent/properties/id"
+
name:
+
oneOf:
+
- type: object
+
title: Operation
+
properties:
+
eq:
+
"$ref": "#/components/schemas/resource_agent/properties/name"
+
not_eq:
+
"$ref": "#/components/schemas/resource_agent/properties/name"
+
contains:
+
"$ref": "#/components/schemas/resource_agent/properties/name"
+
not_contain:
+
"$ref": "#/components/schemas/resource_agent/properties/name"
+
- "$ref": "#/components/schemas/resource_agent/properties/name"
+
query:
+
oneOf:
+
- type: object
+
title: Operation
+
properties:
+
eq:
+
"$ref": "#/components/schemas/resource_agent/properties/query"
+
not_eq:
+
"$ref": "#/components/schemas/resource_agent/properties/query"
+
contains:
+
"$ref": "#/components/schemas/resource_agent/properties/query"
+
not_contain:
+
"$ref": "#/components/schemas/resource_agent/properties/query"
+
- "$ref": "#/components/schemas/resource_agent/properties/query"
+
title:
+
oneOf:
+
- type: object
+
title: Operation
+
properties:
+
eq:
+
"$ref": "#/components/schemas/resource_agent/properties/title"
+
not_eq:
+
"$ref": "#/components/schemas/resource_agent/properties/title"
+
contains:
+
"$ref": "#/components/schemas/resource_agent/properties/title"
+
not_contain:
+
"$ref": "#/components/schemas/resource_agent/properties/title"
+
- "$ref": "#/components/schemas/resource_agent/properties/title"
+
tools:
+
oneOf:
+
- type: object
+
title: Operation
+
properties:
+
eq:
+
"$ref": "#/components/schemas/resource_agent/properties/tools"
+
not_eq:
+
"$ref": "#/components/schemas/resource_agent/properties/tools"
+
contains:
+
"$ref": "#/components/schemas/resource_agent/properties/tools"
+
not_contain:
+
"$ref": "#/components/schemas/resource_agent/properties/tools"
+
- "$ref": "#/components/schemas/resource_agent/properties/tools"
+
status:
+
oneOf:
+
- type: object
+
title: Operation
+
properties:
+
eq:
+
"$ref": "#/components/schemas/resource_agent/properties/status_id"
+
not_eq:
+
"$ref": "#/components/schemas/resource_agent/properties/status_id"
+
contains:
+
"$ref": "#/components/schemas/resource_agent/properties/status_id"
+
not_contain:
+
"$ref": "#/components/schemas/resource_agent/properties/status_id"
+
- "$ref": "#/components/schemas/resource_agent/properties/status_id"
+
created_at:
+
oneOf:
+
- type: object
+
title: Operation
+
properties:
+
eq:
+
"$ref": "#/components/schemas/resource_agent/properties/created_at"
+
not_eq:
+
"$ref": "#/components/schemas/resource_agent/properties/created_at"
+
contains:
+
"$ref": "#/components/schemas/resource_agent/properties/created_at"
+
not_contain:
+
"$ref": "#/components/schemas/resource_agent/properties/created_at"
+
- "$ref": "#/components/schemas/resource_agent/properties/created_at"
+
manager_id:
+
oneOf:
+
- type: object
+
title: Operation
+
properties:
+
eq:
+
"$ref": "#/components/schemas/resource_agent/properties/manager_id"
+
not_eq:
+
"$ref": "#/components/schemas/resource_agent/properties/manager_id"
+
contains:
+
"$ref": "#/components/schemas/resource_agent/properties/manager_id"
+
not_contain:
+
"$ref": "#/components/schemas/resource_agent/properties/manager_id"
+
- "$ref": "#/components/schemas/resource_agent/properties/manager_id"
+
custom_role_id:
+
oneOf:
+
- type: object
+
title: Operation
+
properties:
+
eq:
+
"$ref": "#/components/schemas/resource_agent/properties/custom_role_id"
+
not_eq:
+
"$ref": "#/components/schemas/resource_agent/properties/custom_role_id"
+
contains:
+
"$ref": "#/components/schemas/resource_agent/properties/custom_role_id"
+
not_contain:
+
"$ref": "#/components/schemas/resource_agent/properties/custom_role_id"
+
- "$ref": "#/components/schemas/resource_agent/properties/custom_role_id"
+
deactivated_at:
+
oneOf:
+
- type: object
+
title: Operation
+
properties:
+
eq:
+
"$ref": "#/components/schemas/resource_agent/properties/deactivated_at"
+
not_eq:
+
"$ref": "#/components/schemas/resource_agent/properties/deactivated_at"
+
contains:
+
"$ref": "#/components/schemas/resource_agent/properties/deactivated_at"
+
not_contain:
+
"$ref": "#/components/schemas/resource_agent/properties/deactivated_at"
+
- "$ref": "#/components/schemas/resource_agent/properties/deactivated_at"
+
x-internal: true
+
patternProperties:
+
"^manager..*$":
+
title: Manager relationship
+
"^custom_role..*$":
+
title: Custom Role relationship
+
+
Schema
added
_filter_root_agent_config
Schema changes
+
oneOf:
+
- type: object
+
title: Advanced filters
+
required:
+
- "$op"
+
properties:
+
"$op":
+
enum:
+
- or
+
- and
+
type: string
+
x-enums:
+
or: OR
+
and: AND
+
patternProperties:
+
"^[0-9]+$":
+
"$ref": "#/components/schemas/_filter_root_agent_config"
+
- "$ref": "#/components/schemas/filter_agent_config"
+
required: false
+
x-internal: true
+
+
Schema
added
filter_agent_config
Schema changes
+
type: object
+
title: Filter agent config
+
required: false
+
properties:
+
id:
+
oneOf:
+
- type: object
+
title: Operation
+
properties:
+
eq:
+
"$ref": "#/components/schemas/resource_agent_config/properties/id"
+
not_eq:
+
"$ref": "#/components/schemas/resource_agent_config/properties/id"
+
contains:
+
"$ref": "#/components/schemas/resource_agent_config/properties/id"
+
not_contain:
+
"$ref": "#/components/schemas/resource_agent_config/properties/id"
+
- "$ref": "#/components/schemas/resource_agent_config/properties/id"
+
agent_id:
+
oneOf:
+
- type: object
+
title: Operation
+
properties:
+
eq:
+
"$ref": "#/components/schemas/resource_agent_config/properties/agent_id"
+
not_eq:
+
"$ref": "#/components/schemas/resource_agent_config/properties/agent_id"
+
contains:
+
"$ref": "#/components/schemas/resource_agent_config/properties/agent_id"
+
not_contain:
+
"$ref": "#/components/schemas/resource_agent_config/properties/agent_id"
+
- "$ref": "#/components/schemas/resource_agent_config/properties/agent_id"
+
x-internal: true
+
-
Schema
removed
resource_backoffice_organization_report
Schema changes
-
type: object
-
title: Backoffice Organization Report Resource
-
required: false
-
properties:
-
id:
-
title: ID
-
x-used-in:
-
- filter
-
flag:
-
type: string
-
title: Flag
-
x-used-in:
-
- filter
-
name:
-
type: string
-
title: Name
-
x-used-in:
-
- sorter
-
plan:
-
type: integer
-
title: Plan
-
x-used-in:
-
- serializer
-
- sorter
-
- grouper
-
count:
-
type: integer
-
title: Count
-
x-used-in:
-
- serializer
-
- sorter
-
cycle:
-
type: string
-
title: Cycle
-
x-used-in:
-
- serializer
-
- sorter
-
- grouper
-
group:
-
type: string
-
title: Group
-
x-used-in:
-
- serializer
-
query:
-
type: string
-
title: Query
-
x-used-in:
-
- filter
-
seats:
-
type: integer
-
title: Seats
-
x-used-in:
-
- filter
-
addons:
-
type: string
-
title: Addons
-
x-used-in:
-
- serializer
-
- filter
-
- sorter
-
- grouper
-
domain:
-
type: string
-
title: Domain
-
x-used-in:
-
- filter
-
status:
-
enum:
-
- 1
-
- 2
-
type: integer
-
title: Status
-
x-enums:
-
'1': Active
-
'2': Deactivated
-
x-used-in:
-
- serializer
-
- filter
-
- sorter
-
- grouper
-
country:
-
type: string
-
title: Country
-
x-used-in:
-
- serializer
-
- filter
-
- sorter
-
- grouper
-
erector:
-
title: Erector
-
x-used-in:
-
- serializer
-
x-relationship: has_one
-
x-related-resource: resource_person
-
contract:
-
type: boolean
-
title: Contract
-
x-used-in:
-
- filter
-
currency:
-
title: Currency
-
x-used-in:
-
- serializer
-
discount:
-
type: integer
-
title: Discount
-
x-used-in:
-
- serializer
-
- filter
-
- sorter
-
- grouper
-
products:
-
type: string
-
title: Products
-
x-used-in:
-
- serializer
-
- filter
-
- sorter
-
- grouper
-
referrer:
-
type: string
-
title: Referrer
-
x-used-in:
-
- serializer
-
- filter
-
- sorter
-
- grouper
-
champions:
-
type: integer
-
title: Champions
-
x-used-in:
-
- filter
-
seats_max:
-
type: integer
-
title: Seats Max
-
x-used-in:
-
- filter
-
stripe_id:
-
type: string
-
title: Stripe ID
-
x-used-in:
-
- filter
-
total_mrr:
-
type: number
-
title: Total MRR
-
x-used-in:
-
- serializer
-
- sorter
-
created_at:
-
type: string
-
title: Created At
-
format: date
-
x-used-in:
-
- filter
-
- sorter
-
- grouper
-
erector_id:
-
type: integer
-
title: Erector ID
-
x-used-in:
-
- filter
-
- sorter
-
- grouper
-
gtm_motion:
-
type: string
-
title: GTM Motion
-
x-used-in:
-
- serializer
-
- filter
-
- sorter
-
- grouper
-
lead_score:
-
type: integer
-
title: Lead Score
-
x-used-in:
-
- sorter
-
seats_used:
-
type: integer
-
title: Seats Used
-
x-used-in:
-
- filter
-
total_seats:
-
type: integer
-
title: Total Seats
-
x-used-in:
-
- serializer
-
- sorter
-
company_size:
-
type: string
-
title: Company Size
-
x-used-in:
-
- serializer
-
- filter
-
- sorter
-
- grouper
-
organization:
-
title: Organization
-
x-used-in:
-
- serializer
-
x-relationship: has_one
-
x-related-resource: resource_organization
-
contract_date:
-
type: string
-
title: Contract Date
-
format: date
-
x-used-in:
-
- filter
-
- sorter
-
- grouper
-
sales_deal_id:
-
type: integer
-
title: Sales Deal ID
-
x-used-in:
-
- filter
-
contract_seats:
-
type: integer
-
title: Contract Seats
-
x-used-in:
-
- filter
-
formula_fields:
-
title: Formula Fields
-
x-used-in:
-
- serializer
-
payment_method:
-
type: integer
-
title: Payment Method
-
x-used-in:
-
- serializer
-
- sorter
-
- grouper
-
contract_active:
-
type: boolean
-
title: Contract Active
-
x-used-in:
-
- filter
-
number_of_calls:
-
type: integer
-
title: Number Of Calls
-
x-used-in:
-
- filter
-
- sorter
-
release_channel:
-
enum:
-
- development
-
- alpha
-
- beta
-
- stable
-
type: string
-
title: Release Channel
-
x-enums:
-
beta: Beta
-
alpha: Alpha
-
stable: Stable
-
development: Development
-
x-used-in:
-
- serializer
-
- filter
-
- sorter
-
- grouper
-
total_seats_max:
-
type: integer
-
title: Total Seats Max
-
x-used-in:
-
- serializer
-
- sorter
-
trial_plan_ends:
-
type: string
-
title: Trial Plan Ends
-
format: date
-
x-used-in:
-
- filter
-
currency_default:
-
title: Currency Default
-
x-used-in:
-
- serializer
-
total_seats_used:
-
type: integer
-
title: Total Seats Used
-
x-used-in:
-
- serializer
-
- sorter
-
contract_end_date:
-
type: string
-
title: Contract End Date
-
format: date
-
x-used-in:
-
- filter
-
- sorter
-
- grouper
-
created_at_period:
-
type: string
-
title: Created At Period
-
x-used-in:
-
- serializer
-
deactivation_note:
-
type: string
-
title: Deactivation Note
-
x-used-in:
-
- filter
-
- sorter
-
total_mrr_default:
-
type: number
-
title: Total MRR Default
-
x-used-in:
-
- serializer
-
contract_min_seats:
-
type: integer
-
title: Contract Min Seats
-
x-used-in:
-
- filter
-
primary_contact_id:
-
type: integer
-
title: Primary Contact ID
-
x-used-in:
-
- filter
-
subscription_state:
-
type: integer
-
title: Subscription State
-
x-used-in:
-
- serializer
-
- sorter
-
- grouper
-
billing_group_admin:
-
type: boolean
-
title: Billing Group Admin
-
x-used-in:
-
- serializer
-
- filter
-
- sorter
-
- grouper
-
billing_group_owner:
-
title: Billing Group Owner
-
x-used-in:
-
- serializer
-
x-relationship: has_one
-
x-related-resource: resource_organization
-
verification_status:
-
type: integer
-
title: Verification Status
-
x-used-in:
-
- serializer
-
- sorter
-
- grouper
-
contract_date_period:
-
type: string
-
title: Contract Date Period
-
x-used-in:
-
- serializer
-
next_billing_cycle_at:
-
type: string
-
title: Next Billing Cycle At
-
format: date
-
x-used-in:
-
- filter
-
- sorter
-
- grouper
-
billing_group_owner_id:
-
type: integer
-
title: Billing Group Owner ID
-
x-used-in:
-
- filter
-
- sorter
-
- grouper
-
deactivation_reason_id:
-
type: integer
-
title: Deactivation Reason ID
-
x-used-in:
-
- filter
-
- sorter
-
verification_status_id:
-
type: integer
-
title: Verification Status ID
-
x-used-in:
-
- filter
-
contract_end_date_period:
-
type: string
-
title: Contract End Date Period
-
x-used-in:
-
- serializer
-
customer_success_specialist:
-
title: Customer Success Specialist
-
x-used-in:
-
- serializer
-
x-relationship: has_one
-
x-related-resource: resource_person
-
next_billing_cycle_at_period:
-
type: string
-
title: Next Billing Cycle At Period
-
x-used-in:
-
- serializer
-
customer_success_specialist_id:
-
type: integer
-
title: Customer Success Specialist ID
-
x-used-in:
-
- filter
-
- sorter
-
- grouper
-
x-internal: true
-
+
Schema
added
resource_agent_config
Schema changes
+
type: object
+
title: Agent Config Resource
+
required: false
+
properties:
+
id:
+
type: integer
+
title: Id
+
x-used-in:
+
- filter
+
agent:
+
title: Agent
+
x-used-in:
+
- serializer
+
x-relationship: has_one
+
x-related-resource: resource_agent
+
agent_id:
+
type: integer
+
title: Agent
+
x-used-in:
+
- form
+
- filter
+
created_at:
+
type: string
+
title: Created At
+
format: date-time
+
x-used-in:
+
- serializer
+
- filter
+
- sorter
+
updated_at:
+
type: string
+
title: Updated At
+
format: date-time
+
x-used-in:
+
- serializer
+
- sorter
+
attachments:
+
title: Attachments
+
x-used-in:
+
- serializer
+
x-relationship: has_many
+
x-related-resource: resource_attachment
+
instructions:
+
type: string
+
title: Instructions
+
x-used-in:
+
- serializer
+
- form
+
-
Schema
removed
filter_backoffice_organization_report
Schema changes
-
type: object
-
title: Filter backoffice organization report
-
required: false
-
properties:
-
id:
-
oneOf:
-
- type: object
-
title: Operation
-
properties:
-
eq:
-
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/id"
-
not_eq:
-
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/id"
-
contains:
-
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/id"
-
not_contain:
-
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/id"
-
- "$ref": "#/components/schemas/resource_backoffice_organization_report/properties/id"
-
flag:
-
oneOf:
-
- type: object
-
title: Operation
-
properties:
-
contains:
-
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/flag"
-
not_contain:
-
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/flag"
-
- "$ref": "#/components/schemas/resource_backoffice_organization_report/properties/flag"
-
query:
-
oneOf:
-
- type: object
-
title: Operation
-
properties:
-
eq:
-
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/query"
-
not_eq:
-
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/query"
-
contains:
-
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/query"
-
not_contain:
-
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/query"
-
- "$ref": "#/components/schemas/resource_backoffice_organization_report/properties/query"
-
seats:
-
oneOf:
-
- type: object
-
title: Operation
-
properties:
-
eq:
-
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/seats"
-
not_eq:
-
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/seats"
-
- "$ref": "#/components/schemas/resource_backoffice_organization_report/properties/seats"
-
addons:
-
oneOf:
-
- type: object
-
title: Operation
-
properties:
-
eq:
-
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/addons"
-
not_eq:
-
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/addons"
-
contains:
-
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/addons"
-
not_contain:
-
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/addons"
-
- "$ref": "#/components/schemas/resource_backoffice_organization_report/properties/addons"
-
domain:
-
oneOf:
-
- type: object
-
title: Operation
-
properties:
-
eq:
-
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/domain"
-
not_eq:
-
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/domain"
-
contains:
-
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/domain"
-
not_contain:
-
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/domain"
-
- "$ref": "#/components/schemas/resource_backoffice_organization_report/properties/domain"
-
status:
-
oneOf:
-
- type: object
-
title: Operation
-
properties:
-
eq:
-
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/status"
-
not_eq:
-
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/status"
-
- "$ref": "#/components/schemas/resource_backoffice_organization_report/properties/status"
-
country:
-
oneOf:
-
- type: object
-
title: Operation
-
properties:
-
eq:
-
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/country"
-
not_eq:
-
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/country"
-
contains:
-
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/country"
-
not_contain:
-
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/country"
-
- "$ref": "#/components/schemas/resource_backoffice_organization_report/properties/country"
-
contract:
-
oneOf:
-
- type: object
-
title: Operation
-
properties:
-
eq:
-
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/contract"
-
not_eq:
-
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/contract"
-
- "$ref": "#/components/schemas/resource_backoffice_organization_report/properties/contract"
-
discount:
-
oneOf:
-
- type: object
-
title: Operation
-
properties:
-
eq:
-
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/discount"
-
not_eq:
-
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/discount"
-
- "$ref": "#/components/schemas/resource_backoffice_organization_report/properties/discount"
-
products:
-
oneOf:
-
- type: object
-
title: Operation
-
properties:
-
eq:
-
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/products"
-
not_eq:
-
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/products"
-
contains:
-
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/products"
-
not_contain:
-
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/products"
-
- "$ref": "#/components/schemas/resource_backoffice_organization_report/properties/products"
-
referrer:
-
oneOf:
-
- type: object
-
title: Operation
-
properties:
-
eq:
-
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/referrer"
-
not_eq:
-
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/referrer"
-
contains:
-
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/referrer"
-
not_contain:
-
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/referrer"
-
- "$ref": "#/components/schemas/resource_backoffice_organization_report/properties/referrer"
-
champions:
-
oneOf:
-
- type: object
-
title: Operation
-
properties:
-
eq:
-
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/champions"
-
not_eq:
-
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/champions"
-
contains:
-
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/champions"
-
not_contain:
-
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/champions"
-
- "$ref": "#/components/schemas/resource_backoffice_organization_report/properties/champions"
-
seats_max:
-
oneOf:
-
- type: object
-
title: Operation
-
properties:
-
eq:
-
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/seats_max"
-
not_eq:
-
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/seats_max"
-
- "$ref": "#/components/schemas/resource_backoffice_organization_report/properties/seats_max"
-
stripe_id:
-
oneOf:
-
- type: object
-
title: Operation
-
properties:
-
eq:
-
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/stripe_id"
-
not_eq:
-
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/stripe_id"
-
contains:
-
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/stripe_id"
-
not_contain:
-
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/stripe_id"
-
- "$ref": "#/components/schemas/resource_backoffice_organization_report/properties/stripe_id"
-
created_at:
-
oneOf:
-
- type: object
-
title: Operation
-
properties:
-
eq:
-
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/created_at"
-
not_eq:
-
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/created_at"
-
contains:
-
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/created_at"
-
not_contain:
-
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/created_at"
-
- "$ref": "#/components/schemas/resource_backoffice_organization_report/properties/created_at"
-
erector_id:
-
oneOf:
-
- type: object
-
title: Operation
-
properties:
-
eq:
-
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/erector_id"
-
not_eq:
-
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/erector_id"
-
contains:
-
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/erector_id"
-
not_contain:
-
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/erector_id"
-
- "$ref": "#/components/schemas/resource_backoffice_organization_report/properties/erector_id"
-
gtm_motion:
-
oneOf:
-
- type: object
-
title: Operation
-
properties:
-
eq:
-
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/gtm_motion"
-
not_eq:
-
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/gtm_motion"
-
contains:
-
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/gtm_motion"
-
not_contain:
-
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/gtm_motion"
-
- "$ref": "#/components/schemas/resource_backoffice_organization_report/properties/gtm_motion"
-
seats_used:
-
oneOf:
-
- type: object
-
title: Operation
-
properties:
-
eq:
-
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/seats_used"
-
not_eq:
-
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/seats_used"
-
- "$ref": "#/components/schemas/resource_backoffice_organization_report/properties/seats_used"
-
company_size:
-
oneOf:
-
- type: object
-
title: Operation
-
properties:
-
eq:
-
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/company_size"
-
not_eq:
-
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/company_size"
-
contains:
-
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/company_size"
-
not_contain:
-
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/company_size"
-
- "$ref": "#/components/schemas/resource_backoffice_organization_report/properties/company_size"
-
contract_date:
-
oneOf:
-
- type: object
-
title: Operation
-
properties:
-
eq:
-
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/contract_date"
-
not_eq:
-
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/contract_date"
-
contains:
-
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/contract_date"
-
not_contain:
-
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/contract_date"
-
- "$ref": "#/components/schemas/resource_backoffice_organization_report/properties/contract_date"
-
sales_deal_id:
-
oneOf:
-
- type: object
-
title: Operation
-
properties:
-
eq:
-
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/sales_deal_id"
-
not_eq:
-
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/sales_deal_id"
-
contains:
-
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/sales_deal_id"
-
not_contain:
-
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/sales_deal_id"
-
- "$ref": "#/components/schemas/resource_backoffice_organization_report/properties/sales_deal_id"
-
contract_seats:
-
oneOf:
-
- type: object
-
title: Operation
-
properties:
-
eq:
-
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/contract_seats"
-
not_eq:
-
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/contract_seats"
-
- "$ref": "#/components/schemas/resource_backoffice_organization_report/properties/contract_seats"
-
contract_active:
-
oneOf:
-
- type: object
-
title: Operation
-
properties:
-
eq:
-
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/contract_active"
-
not_eq:
-
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/contract_active"
-
- "$ref": "#/components/schemas/resource_backoffice_organization_report/properties/contract_active"
-
number_of_calls:
-
oneOf:
-
- type: object
-
title: Operation
-
properties:
-
eq:
-
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/number_of_calls"
-
not_eq:
-
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/number_of_calls"
-
contains:
-
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/number_of_calls"
-
not_contain:
-
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/number_of_calls"
-
- "$ref": "#/components/schemas/resource_backoffice_organization_report/properties/number_of_calls"
-
release_channel:
-
oneOf:
-
- type: object
-
title: Operation
-
properties:
-
eq:
-
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/release_channel"
-
not_eq:
-
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/release_channel"
-
contains:
-
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/release_channel"
-
not_contain:
-
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/release_channel"
-
- "$ref": "#/components/schemas/resource_backoffice_organization_report/properties/release_channel"
-
trial_plan_ends:
-
oneOf:
-
- type: object
-
title: Operation
-
properties:
-
eq:
-
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/trial_plan_ends"
-
not_eq:
-
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/trial_plan_ends"
-
contains:
-
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/trial_plan_ends"
-
not_contain:
-
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/trial_plan_ends"
-
- "$ref": "#/components/schemas/resource_backoffice_organization_report/properties/trial_plan_ends"
-
contract_end_date:
-
oneOf:
-
- type: object
-
title: Operation
-
properties:
-
eq:
-
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/contract_end_date"
-
not_eq:
-
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/contract_end_date"
-
contains:
-
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/contract_end_date"
-
not_contain:
-
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/contract_end_date"
-
- "$ref": "#/components/schemas/resource_backoffice_organization_report/properties/contract_end_date"
-
deactivation_note:
-
oneOf:
-
- type: object
-
title: Operation
-
properties:
-
eq:
-
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/deactivation_note"
-
not_eq:
-
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/deactivation_note"
-
contains:
-
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/deactivation_note"
-
not_contain:
-
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/deactivation_note"
-
- "$ref": "#/components/schemas/resource_backoffice_organization_report/properties/deactivation_note"
-
contract_min_seats:
-
oneOf:
-
- type: object
-
title: Operation
-
properties:
-
eq:
-
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/contract_min_seats"
-
not_eq:
-
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/contract_min_seats"
-
- "$ref": "#/components/schemas/resource_backoffice_organization_report/properties/contract_min_seats"
-
primary_contact_id:
-
oneOf:
-
- type: object
-
title: Operation
-
properties:
-
eq:
-
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/primary_contact_id"
-
not_eq:
-
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/primary_contact_id"
-
contains:
-
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/primary_contact_id"
-
not_contain:
-
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/primary_contact_id"
-
- "$ref": "#/components/schemas/resource_backoffice_organization_report/properties/primary_contact_id"
-
billing_group_admin:
-
oneOf:
-
- type: object
-
title: Operation
-
properties:
-
eq:
-
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/billing_group_admin"
-
not_eq:
-
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/billing_group_admin"
-
- "$ref": "#/components/schemas/resource_backoffice_organization_report/properties/billing_group_admin"
-
next_billing_cycle_at:
-
oneOf:
-
- type: object
-
title: Operation
-
properties:
-
eq:
-
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/next_billing_cycle_at"
-
not_eq:
-
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/next_billing_cycle_at"
-
contains:
-
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/next_billing_cycle_at"
-
not_contain:
-
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/next_billing_cycle_at"
-
- "$ref": "#/components/schemas/resource_backoffice_organization_report/properties/next_billing_cycle_at"
-
billing_group_owner_id:
-
oneOf:
-
- type: object
-
title: Operation
-
properties:
-
eq:
-
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/billing_group_owner_id"
-
not_eq:
-
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/billing_group_owner_id"
-
contains:
-
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/billing_group_owner_id"
-
not_contain:
-
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/billing_group_owner_id"
-
- "$ref": "#/components/schemas/resource_backoffice_organization_report/properties/billing_group_owner_id"
-
deactivation_reason_id:
-
oneOf:
-
- type: object
-
title: Operation
-
properties:
-
eq:
-
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/deactivation_reason_id"
-
not_eq:
-
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/deactivation_reason_id"
-
contains:
-
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/deactivation_reason_id"
-
not_contain:
-
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/deactivation_reason_id"
-
- "$ref": "#/components/schemas/resource_backoffice_organization_report/properties/deactivation_reason_id"
-
verification_status_id:
-
oneOf:
-
- type: object
-
title: Operation
-
properties:
-
eq:
-
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/verification_status_id"
-
not_eq:
-
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/verification_status_id"
-
contains:
-
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/verification_status_id"
-
not_contain:
-
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/verification_status_id"
-
- "$ref": "#/components/schemas/resource_backoffice_organization_report/properties/verification_status_id"
-
customer_success_specialist_id:
-
oneOf:
-
- type: object
-
title: Operation
-
properties:
-
eq:
-
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/customer_success_specialist_id"
-
not_eq:
-
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/customer_success_specialist_id"
-
contains:
-
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/customer_success_specialist_id"
-
not_contain:
-
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/customer_success_specialist_id"
-
- "$ref": "#/components/schemas/resource_backoffice_organization_report/properties/customer_success_specialist_id"
-
x-internal: true
-
patternProperties:
-
"^organization_subscription..*$":
-
title: Organization subscription relationship
-
-
Schema
removed
_filter_root_backoffice_organization_report
Schema changes
-
oneOf:
-
- type: object
-
title: Advanced filters
-
required:
-
- "$op"
-
properties:
-
"$op":
-
enum:
-
- or
-
- and
-
type: string
-
x-enums:
-
or: OR
-
and: AND
-
patternProperties:
-
"^[0-9]+$":
-
"$ref": "#/components/schemas/_filter_root_backoffice_organization_report"
-
- "$ref": "#/components/schemas/filter_backoffice_organization_report"
-
required: false
-
x-internal: true
-
-
Schema
removed
resource_approval_status
Schema changes
-
type: object
-
title: Approval status Resource
-
required: false
-
properties:
-
id:
-
type: integer
-
title: Id
-
x-used-in:
-
- filter
-
note:
-
type: string
-
title: Note
-
x-used-in:
-
- serializer
-
booking:
-
title: Booking
-
x-used-in:
-
- serializer
-
x-relationship: has_one
-
x-related-resource: resource_booking
-
expense:
-
title: Expense
-
x-used-in:
-
- serializer
-
x-relationship: has_one
-
x-related-resource: resource_expense
-
approver:
-
title: Approver
-
x-used-in:
-
- serializer
-
x-relationship: has_one
-
x-related-resource: resource_person
-
booking_id:
-
type: integer
-
title: Booking
-
x-used-in:
-
- filter
-
expense_id:
-
type: integer
-
title: Expense
-
x-used-in:
-
- filter
-
time_entry:
-
title: Time Entry
-
x-used-in:
-
- serializer
-
x-relationship: has_one
-
x-related-resource: resource_time_entry
-
approved_at:
-
type: string
-
title: Approved At
-
format: date-time
-
x-used-in:
-
- serializer
-
approver_id:
-
type: integer
-
title: Approver
-
x-used-in:
-
- filter
-
rejected_at:
-
type: string
-
title: Rejected At
-
format: date-time
-
x-used-in:
-
- serializer
-
target_type:
-
enum:
-
- booking
-
- time_entry
-
- expense
-
type: string
-
title: Target Type
-
x-enums:
-
booking: Booking
-
expense: Expense
-
time_entry: Time Entry
-
x-used-in:
-
- serializer
-
time_entry_id:
-
type: integer
-
title: Time Entry
-
x-used-in:
-
- filter
-
actual_approver:
-
title: Actual Approver
-
x-used-in:
-
- serializer
-
x-relationship: has_one
-
x-related-resource: resource_person
-
approval_workflow:
-
title: Approval Workflow
-
x-used-in:
-
- serializer
-
x-relationship: has_one
-
x-related-resource: resource_approval_workflow
-
actual_approver_id:
-
type: integer
-
title: Actual Approver
-
x-used-in:
-
- filter
-
approver_group_key:
-
type: string
-
title: Approver Group Key
-
x-used-in:
-
- serializer
-
x-feature-flags:
-
- pmDynamicApproverOnAbsences
-
approval_workflow_id:
-
type: integer
-
title: Approval Workflow
-
x-used-in:
-
- filter
-
dynamic_approver_type_id:
-
enum:
-
- 1
-
- 2
-
- 3
-
- 4
-
type: integer
-
title: Dynamic Approver Type
-
x-enums:
-
'1': Manager
-
'2': Budget owner
-
'3': Project manager
-
'4': Designated approver
-
x-used-in:
-
- serializer
-
fallback_approver_type_id:
-
enum:
-
- 1
-
- 2
-
type: integer
-
title: Fallback Approver Type
-
x-enums:
-
'1': Organization owner
-
'2': Budget owner
-
x-used-in:
-
- serializer
-
-
Schema
removed
_filter_root_approval_status
Schema changes
-
oneOf:
-
- type: object
-
title: Advanced filters
-
required:
-
- "$op"
-
properties:
-
"$op":
-
enum:
-
- or
-
- and
-
type: string
-
x-enums:
-
or: OR
-
and: AND
-
patternProperties:
-
"^[0-9]+$":
-
"$ref": "#/components/schemas/_filter_root_approval_status"
-
- "$ref": "#/components/schemas/filter_approval_status"
-
required: false
-
x-internal: true
-
-
Schema
removed
filter_approval_status
Schema changes
-
type: object
-
title: Filter approval status
-
required: false
-
properties:
-
id:
-
oneOf:
-
- type: object
-
title: Operation
-
properties:
-
eq:
-
"$ref": "#/components/schemas/resource_approval_status/properties/id"
-
not_eq:
-
"$ref": "#/components/schemas/resource_approval_status/properties/id"
-
contains:
-
"$ref": "#/components/schemas/resource_approval_status/properties/id"
-
not_contain:
-
"$ref": "#/components/schemas/resource_approval_status/properties/id"
-
- "$ref": "#/components/schemas/resource_approval_status/properties/id"
-
booking_id:
-
oneOf:
-
- type: object
-
title: Operation
-
properties:
-
eq:
-
"$ref": "#/components/schemas/resource_approval_status/properties/booking_id"
-
not_eq:
-
"$ref": "#/components/schemas/resource_approval_status/properties/booking_id"
-
contains:
-
"$ref": "#/components/schemas/resource_approval_status/properties/booking_id"
-
not_contain:
-
"$ref": "#/components/schemas/resource_approval_status/properties/booking_id"
-
- "$ref": "#/components/schemas/resource_approval_status/properties/booking_id"
-
expense_id:
-
oneOf:
-
- type: object
-
title: Operation
-
properties:
-
eq:
-
"$ref": "#/components/schemas/resource_approval_status/properties/expense_id"
-
not_eq:
-
"$ref": "#/components/schemas/resource_approval_status/properties/expense_id"
-
contains:
-
"$ref": "#/components/schemas/resource_approval_status/properties/expense_id"
-
not_contain:
-
"$ref": "#/components/schemas/resource_approval_status/properties/expense_id"
-
- "$ref": "#/components/schemas/resource_approval_status/properties/expense_id"
-
approver_id:
-
oneOf:
-
- type: object
-
title: Operation
-
properties:
-
eq:
-
"$ref": "#/components/schemas/resource_approval_status/properties/approver_id"
-
not_eq:
-
"$ref": "#/components/schemas/resource_approval_status/properties/approver_id"
-
contains:
-
"$ref": "#/components/schemas/resource_approval_status/properties/approver_id"
-
not_contain:
-
"$ref": "#/components/schemas/resource_approval_status/properties/approver_id"
-
- "$ref": "#/components/schemas/resource_approval_status/properties/approver_id"
-
time_entry_id:
-
oneOf:
-
- type: object
-
title: Operation
-
properties:
-
eq:
-
"$ref": "#/components/schemas/resource_approval_status/properties/time_entry_id"
-
not_eq:
-
"$ref": "#/components/schemas/resource_approval_status/properties/time_entry_id"
-
contains:
-
"$ref": "#/components/schemas/resource_approval_status/properties/time_entry_id"
-
not_contain:
-
"$ref": "#/components/schemas/resource_approval_status/properties/time_entry_id"
-
- "$ref": "#/components/schemas/resource_approval_status/properties/time_entry_id"
-
actual_approver_id:
-
oneOf:
-
- type: object
-
title: Operation
-
properties:
-
eq:
-
"$ref": "#/components/schemas/resource_approval_status/properties/actual_approver_id"
-
not_eq:
-
"$ref": "#/components/schemas/resource_approval_status/properties/actual_approver_id"
-
contains:
-
"$ref": "#/components/schemas/resource_approval_status/properties/actual_approver_id"
-
not_contain:
-
"$ref": "#/components/schemas/resource_approval_status/properties/actual_approver_id"
-
- "$ref": "#/components/schemas/resource_approval_status/properties/actual_approver_id"
-
approval_workflow_id:
-
oneOf:
-
- type: object
-
title: Operation
-
properties:
-
eq:
-
"$ref": "#/components/schemas/resource_approval_status/properties/approval_workflow_id"
-
not_eq:
-
"$ref": "#/components/schemas/resource_approval_status/properties/approval_workflow_id"
-
contains:
-
"$ref": "#/components/schemas/resource_approval_status/properties/approval_workflow_id"
-
not_contain:
-
"$ref": "#/components/schemas/resource_approval_status/properties/approval_workflow_id"
-
- "$ref": "#/components/schemas/resource_approval_status/properties/approval_workflow_id"
-
x-internal: true
-
patternProperties: {}
-
~
Schema
modified
filter_financial_item_report
Schema changes
not_contain:
"$ref": "#/components/schemas/resource_financial_item_report/properties/budget_used"
- "$ref": "#/components/schemas/resource_financial_item_report/properties/budget_used"
+
description:
+
oneOf:
+
- type: object
+
title: Operation
+
properties:
+
eq:
+
"$ref": "#/components/schemas/resource_financial_item_report/properties/financial_item_description"
+
not_eq:
+
"$ref": "#/components/schemas/resource_financial_item_report/properties/financial_item_description"
+
contains:
+
"$ref": "#/components/schemas/resource_financial_item_report/properties/financial_item_description"
+
not_contain:
+
"$ref": "#/components/schemas/resource_financial_item_report/properties/financial_item_description"
+
- "$ref": "#/components/schemas/resource_financial_item_report/properties/financial_item_description"
pipeline_id:
oneOf:
- type: object
+
Schema
added
_filter_root_backoffice_organization_report
Schema changes
+
oneOf:
+
- type: object
+
title: Advanced filters
+
required:
+
- "$op"
+
properties:
+
"$op":
+
enum:
+
- or
+
- and
+
type: string
+
x-enums:
+
or: OR
+
and: AND
+
patternProperties:
+
"^[0-9]+$":
+
"$ref": "#/components/schemas/_filter_root_backoffice_organization_report"
+
- "$ref": "#/components/schemas/filter_backoffice_organization_report"
+
required: false
+
x-internal: true
+
+
Schema
added
resource_backoffice_organization_report
Schema changes
+
type: object
+
title: Backoffice Organization Report Resource
+
required: false
+
properties:
+
id:
+
title: ID
+
x-used-in:
+
- filter
+
flag:
+
type: string
+
title: Flag
+
x-used-in:
+
- filter
+
name:
+
type: string
+
title: Name
+
x-used-in:
+
- sorter
+
plan:
+
type: integer
+
title: Plan
+
x-used-in:
+
- serializer
+
- sorter
+
- grouper
+
count:
+
type: integer
+
title: Count
+
x-used-in:
+
- serializer
+
- sorter
+
cycle:
+
type: string
+
title: Cycle
+
x-used-in:
+
- serializer
+
- sorter
+
- grouper
+
group:
+
type: string
+
title: Group
+
x-used-in:
+
- serializer
+
query:
+
type: string
+
title: Query
+
x-used-in:
+
- filter
+
seats:
+
type: integer
+
title: Seats
+
x-used-in:
+
- filter
+
addons:
+
type: string
+
title: Addons
+
x-used-in:
+
- serializer
+
- filter
+
- sorter
+
- grouper
+
domain:
+
type: string
+
title: Domain
+
x-used-in:
+
- filter
+
status:
+
enum:
+
- 1
+
- 2
+
type: integer
+
title: Status
+
x-enums:
+
'1': Active
+
'2': Deactivated
+
x-used-in:
+
- serializer
+
- filter
+
- sorter
+
- grouper
+
country:
+
type: string
+
title: Country
+
x-used-in:
+
- serializer
+
- filter
+
- sorter
+
- grouper
+
erector:
+
title: Erector
+
x-used-in:
+
- serializer
+
x-relationship: has_one
+
x-related-resource: resource_person
+
contract:
+
type: boolean
+
title: Contract
+
x-used-in:
+
- filter
+
currency:
+
title: Currency
+
x-used-in:
+
- serializer
+
discount:
+
type: integer
+
title: Discount
+
x-used-in:
+
- serializer
+
- filter
+
- sorter
+
- grouper
+
products:
+
type: string
+
title: Products
+
x-used-in:
+
- serializer
+
- filter
+
- sorter
+
- grouper
+
referrer:
+
type: string
+
title: Referrer
+
x-used-in:
+
- serializer
+
- filter
+
- sorter
+
- grouper
+
champions:
+
type: integer
+
title: Champions
+
x-used-in:
+
- filter
+
seats_max:
+
type: integer
+
title: Seats Max
+
x-used-in:
+
- filter
+
stripe_id:
+
type: string
+
title: Stripe ID
+
x-used-in:
+
- filter
+
total_mrr:
+
type: number
+
title: Total MRR
+
x-used-in:
+
- serializer
+
- sorter
+
created_at:
+
type: string
+
title: Created At
+
format: date
+
x-used-in:
+
- filter
+
- sorter
+
- grouper
+
erector_id:
+
type: integer
+
title: Erector ID
+
x-used-in:
+
- filter
+
- sorter
+
- grouper
+
gtm_motion:
+
type: string
+
title: GTM Motion
+
x-used-in:
+
- serializer
+
- filter
+
- sorter
+
- grouper
+
lead_score:
+
type: integer
+
title: Lead Score
+
x-used-in:
+
- sorter
+
seats_used:
+
type: integer
+
title: Seats Used
+
x-used-in:
+
- filter
+
total_seats:
+
type: integer
+
title: Total Seats
+
x-used-in:
+
- serializer
+
- sorter
+
company_size:
+
type: string
+
title: Company Size
+
x-used-in:
+
- serializer
+
- filter
+
- sorter
+
- grouper
+
organization:
+
title: Organization
+
x-used-in:
+
- serializer
+
x-relationship: has_one
+
x-related-resource: resource_organization
+
contract_date:
+
type: string
+
title: Contract Date
+
format: date
+
x-used-in:
+
- filter
+
- sorter
+
- grouper
+
sales_deal_id:
+
type: integer
+
title: Sales Deal ID
+
x-used-in:
+
- filter
+
contract_seats:
+
type: integer
+
title: Contract Seats
+
x-used-in:
+
- filter
+
formula_fields:
+
title: Formula Fields
+
x-used-in:
+
- serializer
+
payment_method:
+
type: integer
+
title: Payment Method
+
x-used-in:
+
- serializer
+
- sorter
+
- grouper
+
contract_active:
+
type: boolean
+
title: Contract Active
+
x-used-in:
+
- filter
+
number_of_calls:
+
type: integer
+
title: Number Of Calls
+
x-used-in:
+
- filter
+
- sorter
+
release_channel:
+
enum:
+
- development
+
- alpha
+
- beta
+
- stable
+
type: string
+
title: Release Channel
+
x-enums:
+
beta: Beta
+
alpha: Alpha
+
stable: Stable
+
development: Development
+
x-used-in:
+
- serializer
+
- filter
+
- sorter
+
- grouper
+
total_seats_max:
+
type: integer
+
title: Total Seats Max
+
x-used-in:
+
- serializer
+
- sorter
+
trial_plan_ends:
+
type: string
+
title: Trial Plan Ends
+
format: date
+
x-used-in:
+
- filter
+
currency_default:
+
title: Currency Default
+
x-used-in:
+
- serializer
+
total_seats_used:
+
type: integer
+
title: Total Seats Used
+
x-used-in:
+
- serializer
+
- sorter
+
contract_end_date:
+
type: string
+
title: Contract End Date
+
format: date
+
x-used-in:
+
- filter
+
- sorter
+
- grouper
+
created_at_period:
+
type: string
+
title: Created At Period
+
x-used-in:
+
- serializer
+
deactivation_note:
+
type: string
+
title: Deactivation Note
+
x-used-in:
+
- filter
+
- sorter
+
total_mrr_default:
+
type: number
+
title: Total MRR Default
+
x-used-in:
+
- serializer
+
contract_min_seats:
+
type: integer
+
title: Contract Min Seats
+
x-used-in:
+
- filter
+
primary_contact_id:
+
type: integer
+
title: Primary Contact ID
+
x-used-in:
+
- filter
+
subscription_state:
+
type: integer
+
title: Subscription State
+
x-used-in:
+
- serializer
+
- sorter
+
- grouper
+
billing_group_admin:
+
type: boolean
+
title: Billing Group Admin
+
x-used-in:
+
- serializer
+
- filter
+
- sorter
+
- grouper
+
billing_group_owner:
+
title: Billing Group Owner
+
x-used-in:
+
- serializer
+
x-relationship: has_one
+
x-related-resource: resource_organization
+
verification_status:
+
type: integer
+
title: Verification Status
+
x-used-in:
+
- serializer
+
- sorter
+
- grouper
+
contract_date_period:
+
type: string
+
title: Contract Date Period
+
x-used-in:
+
- serializer
+
next_billing_cycle_at:
+
type: string
+
title: Next Billing Cycle At
+
format: date
+
x-used-in:
+
- filter
+
- sorter
+
- grouper
+
billing_group_owner_id:
+
type: integer
+
title: Billing Group Owner ID
+
x-used-in:
+
- filter
+
- sorter
+
- grouper
+
deactivation_reason_id:
+
type: integer
+
title: Deactivation Reason ID
+
x-used-in:
+
- filter
+
- sorter
+
verification_status_id:
+
type: integer
+
title: Verification Status ID
+
x-used-in:
+
- filter
+
contract_end_date_period:
+
type: string
+
title: Contract End Date Period
+
x-used-in:
+
- serializer
+
customer_success_specialist:
+
title: Customer Success Specialist
+
x-used-in:
+
- serializer
+
x-relationship: has_one
+
x-related-resource: resource_person
+
next_billing_cycle_at_period:
+
type: string
+
title: Next Billing Cycle At Period
+
x-used-in:
+
- serializer
+
customer_success_specialist_id:
+
type: integer
+
title: Customer Success Specialist ID
+
x-used-in:
+
- filter
+
- sorter
+
- grouper
+
x-internal: true
+
+
Schema
added
filter_backoffice_organization_report
Schema changes
+
type: object
+
title: Filter backoffice organization report
+
required: false
+
properties:
+
id:
+
oneOf:
+
- type: object
+
title: Operation
+
properties:
+
eq:
+
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/id"
+
not_eq:
+
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/id"
+
contains:
+
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/id"
+
not_contain:
+
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/id"
+
- "$ref": "#/components/schemas/resource_backoffice_organization_report/properties/id"
+
flag:
+
oneOf:
+
- type: object
+
title: Operation
+
properties:
+
contains:
+
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/flag"
+
not_contain:
+
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/flag"
+
- "$ref": "#/components/schemas/resource_backoffice_organization_report/properties/flag"
+
query:
+
oneOf:
+
- type: object
+
title: Operation
+
properties:
+
eq:
+
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/query"
+
not_eq:
+
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/query"
+
contains:
+
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/query"
+
not_contain:
+
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/query"
+
- "$ref": "#/components/schemas/resource_backoffice_organization_report/properties/query"
+
seats:
+
oneOf:
+
- type: object
+
title: Operation
+
properties:
+
eq:
+
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/seats"
+
not_eq:
+
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/seats"
+
- "$ref": "#/components/schemas/resource_backoffice_organization_report/properties/seats"
+
addons:
+
oneOf:
+
- type: object
+
title: Operation
+
properties:
+
eq:
+
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/addons"
+
not_eq:
+
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/addons"
+
contains:
+
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/addons"
+
not_contain:
+
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/addons"
+
- "$ref": "#/components/schemas/resource_backoffice_organization_report/properties/addons"
+
domain:
+
oneOf:
+
- type: object
+
title: Operation
+
properties:
+
eq:
+
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/domain"
+
not_eq:
+
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/domain"
+
contains:
+
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/domain"
+
not_contain:
+
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/domain"
+
- "$ref": "#/components/schemas/resource_backoffice_organization_report/properties/domain"
+
status:
+
oneOf:
+
- type: object
+
title: Operation
+
properties:
+
eq:
+
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/status"
+
not_eq:
+
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/status"
+
- "$ref": "#/components/schemas/resource_backoffice_organization_report/properties/status"
+
country:
+
oneOf:
+
- type: object
+
title: Operation
+
properties:
+
eq:
+
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/country"
+
not_eq:
+
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/country"
+
contains:
+
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/country"
+
not_contain:
+
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/country"
+
- "$ref": "#/components/schemas/resource_backoffice_organization_report/properties/country"
+
contract:
+
oneOf:
+
- type: object
+
title: Operation
+
properties:
+
eq:
+
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/contract"
+
not_eq:
+
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/contract"
+
- "$ref": "#/components/schemas/resource_backoffice_organization_report/properties/contract"
+
discount:
+
oneOf:
+
- type: object
+
title: Operation
+
properties:
+
eq:
+
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/discount"
+
not_eq:
+
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/discount"
+
- "$ref": "#/components/schemas/resource_backoffice_organization_report/properties/discount"
+
products:
+
oneOf:
+
- type: object
+
title: Operation
+
properties:
+
eq:
+
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/products"
+
not_eq:
+
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/products"
+
contains:
+
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/products"
+
not_contain:
+
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/products"
+
- "$ref": "#/components/schemas/resource_backoffice_organization_report/properties/products"
+
referrer:
+
oneOf:
+
- type: object
+
title: Operation
+
properties:
+
eq:
+
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/referrer"
+
not_eq:
+
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/referrer"
+
contains:
+
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/referrer"
+
not_contain:
+
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/referrer"
+
- "$ref": "#/components/schemas/resource_backoffice_organization_report/properties/referrer"
+
champions:
+
oneOf:
+
- type: object
+
title: Operation
+
properties:
+
eq:
+
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/champions"
+
not_eq:
+
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/champions"
+
contains:
+
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/champions"
+
not_contain:
+
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/champions"
+
- "$ref": "#/components/schemas/resource_backoffice_organization_report/properties/champions"
+
seats_max:
+
oneOf:
+
- type: object
+
title: Operation
+
properties:
+
eq:
+
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/seats_max"
+
not_eq:
+
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/seats_max"
+
- "$ref": "#/components/schemas/resource_backoffice_organization_report/properties/seats_max"
+
stripe_id:
+
oneOf:
+
- type: object
+
title: Operation
+
properties:
+
eq:
+
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/stripe_id"
+
not_eq:
+
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/stripe_id"
+
contains:
+
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/stripe_id"
+
not_contain:
+
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/stripe_id"
+
- "$ref": "#/components/schemas/resource_backoffice_organization_report/properties/stripe_id"
+
created_at:
+
oneOf:
+
- type: object
+
title: Operation
+
properties:
+
eq:
+
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/created_at"
+
not_eq:
+
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/created_at"
+
contains:
+
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/created_at"
+
not_contain:
+
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/created_at"
+
- "$ref": "#/components/schemas/resource_backoffice_organization_report/properties/created_at"
+
erector_id:
+
oneOf:
+
- type: object
+
title: Operation
+
properties:
+
eq:
+
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/erector_id"
+
not_eq:
+
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/erector_id"
+
contains:
+
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/erector_id"
+
not_contain:
+
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/erector_id"
+
- "$ref": "#/components/schemas/resource_backoffice_organization_report/properties/erector_id"
+
gtm_motion:
+
oneOf:
+
- type: object
+
title: Operation
+
properties:
+
eq:
+
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/gtm_motion"
+
not_eq:
+
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/gtm_motion"
+
contains:
+
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/gtm_motion"
+
not_contain:
+
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/gtm_motion"
+
- "$ref": "#/components/schemas/resource_backoffice_organization_report/properties/gtm_motion"
+
seats_used:
+
oneOf:
+
- type: object
+
title: Operation
+
properties:
+
eq:
+
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/seats_used"
+
not_eq:
+
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/seats_used"
+
- "$ref": "#/components/schemas/resource_backoffice_organization_report/properties/seats_used"
+
company_size:
+
oneOf:
+
- type: object
+
title: Operation
+
properties:
+
eq:
+
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/company_size"
+
not_eq:
+
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/company_size"
+
contains:
+
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/company_size"
+
not_contain:
+
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/company_size"
+
- "$ref": "#/components/schemas/resource_backoffice_organization_report/properties/company_size"
+
contract_date:
+
oneOf:
+
- type: object
+
title: Operation
+
properties:
+
eq:
+
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/contract_date"
+
not_eq:
+
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/contract_date"
+
contains:
+
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/contract_date"
+
not_contain:
+
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/contract_date"
+
- "$ref": "#/components/schemas/resource_backoffice_organization_report/properties/contract_date"
+
sales_deal_id:
+
oneOf:
+
- type: object
+
title: Operation
+
properties:
+
eq:
+
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/sales_deal_id"
+
not_eq:
+
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/sales_deal_id"
+
contains:
+
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/sales_deal_id"
+
not_contain:
+
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/sales_deal_id"
+
- "$ref": "#/components/schemas/resource_backoffice_organization_report/properties/sales_deal_id"
+
contract_seats:
+
oneOf:
+
- type: object
+
title: Operation
+
properties:
+
eq:
+
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/contract_seats"
+
not_eq:
+
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/contract_seats"
+
- "$ref": "#/components/schemas/resource_backoffice_organization_report/properties/contract_seats"
+
contract_active:
+
oneOf:
+
- type: object
+
title: Operation
+
properties:
+
eq:
+
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/contract_active"
+
not_eq:
+
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/contract_active"
+
- "$ref": "#/components/schemas/resource_backoffice_organization_report/properties/contract_active"
+
number_of_calls:
+
oneOf:
+
- type: object
+
title: Operation
+
properties:
+
eq:
+
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/number_of_calls"
+
not_eq:
+
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/number_of_calls"
+
contains:
+
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/number_of_calls"
+
not_contain:
+
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/number_of_calls"
+
- "$ref": "#/components/schemas/resource_backoffice_organization_report/properties/number_of_calls"
+
release_channel:
+
oneOf:
+
- type: object
+
title: Operation
+
properties:
+
eq:
+
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/release_channel"
+
not_eq:
+
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/release_channel"
+
contains:
+
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/release_channel"
+
not_contain:
+
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/release_channel"
+
- "$ref": "#/components/schemas/resource_backoffice_organization_report/properties/release_channel"
+
trial_plan_ends:
+
oneOf:
+
- type: object
+
title: Operation
+
properties:
+
eq:
+
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/trial_plan_ends"
+
not_eq:
+
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/trial_plan_ends"
+
contains:
+
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/trial_plan_ends"
+
not_contain:
+
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/trial_plan_ends"
+
- "$ref": "#/components/schemas/resource_backoffice_organization_report/properties/trial_plan_ends"
+
contract_end_date:
+
oneOf:
+
- type: object
+
title: Operation
+
properties:
+
eq:
+
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/contract_end_date"
+
not_eq:
+
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/contract_end_date"
+
contains:
+
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/contract_end_date"
+
not_contain:
+
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/contract_end_date"
+
- "$ref": "#/components/schemas/resource_backoffice_organization_report/properties/contract_end_date"
+
deactivation_note:
+
oneOf:
+
- type: object
+
title: Operation
+
properties:
+
eq:
+
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/deactivation_note"
+
not_eq:
+
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/deactivation_note"
+
contains:
+
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/deactivation_note"
+
not_contain:
+
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/deactivation_note"
+
- "$ref": "#/components/schemas/resource_backoffice_organization_report/properties/deactivation_note"
+
contract_min_seats:
+
oneOf:
+
- type: object
+
title: Operation
+
properties:
+
eq:
+
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/contract_min_seats"
+
not_eq:
+
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/contract_min_seats"
+
- "$ref": "#/components/schemas/resource_backoffice_organization_report/properties/contract_min_seats"
+
primary_contact_id:
+
oneOf:
+
- type: object
+
title: Operation
+
properties:
+
eq:
+
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/primary_contact_id"
+
not_eq:
+
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/primary_contact_id"
+
contains:
+
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/primary_contact_id"
+
not_contain:
+
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/primary_contact_id"
+
- "$ref": "#/components/schemas/resource_backoffice_organization_report/properties/primary_contact_id"
+
billing_group_admin:
+
oneOf:
+
- type: object
+
title: Operation
+
properties:
+
eq:
+
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/billing_group_admin"
+
not_eq:
+
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/billing_group_admin"
+
- "$ref": "#/components/schemas/resource_backoffice_organization_report/properties/billing_group_admin"
+
next_billing_cycle_at:
+
oneOf:
+
- type: object
+
title: Operation
+
properties:
+
eq:
+
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/next_billing_cycle_at"
+
not_eq:
+
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/next_billing_cycle_at"
+
contains:
+
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/next_billing_cycle_at"
+
not_contain:
+
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/next_billing_cycle_at"
+
- "$ref": "#/components/schemas/resource_backoffice_organization_report/properties/next_billing_cycle_at"
+
billing_group_owner_id:
+
oneOf:
+
- type: object
+
title: Operation
+
properties:
+
eq:
+
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/billing_group_owner_id"
+
not_eq:
+
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/billing_group_owner_id"
+
contains:
+
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/billing_group_owner_id"
+
not_contain:
+
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/billing_group_owner_id"
+
- "$ref": "#/components/schemas/resource_backoffice_organization_report/properties/billing_group_owner_id"
+
deactivation_reason_id:
+
oneOf:
+
- type: object
+
title: Operation
+
properties:
+
eq:
+
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/deactivation_reason_id"
+
not_eq:
+
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/deactivation_reason_id"
+
contains:
+
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/deactivation_reason_id"
+
not_contain:
+
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/deactivation_reason_id"
+
- "$ref": "#/components/schemas/resource_backoffice_organization_report/properties/deactivation_reason_id"
+
verification_status_id:
+
oneOf:
+
- type: object
+
title: Operation
+
properties:
+
eq:
+
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/verification_status_id"
+
not_eq:
+
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/verification_status_id"
+
contains:
+
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/verification_status_id"
+
not_contain:
+
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/verification_status_id"
+
- "$ref": "#/components/schemas/resource_backoffice_organization_report/properties/verification_status_id"
+
customer_success_specialist_id:
+
oneOf:
+
- type: object
+
title: Operation
+
properties:
+
eq:
+
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/customer_success_specialist_id"
+
not_eq:
+
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/customer_success_specialist_id"
+
contains:
+
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/customer_success_specialist_id"
+
not_contain:
+
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/customer_success_specialist_id"
+
- "$ref": "#/components/schemas/resource_backoffice_organization_report/properties/customer_success_specialist_id"
+
x-internal: true
+
patternProperties:
+
"^organization_subscription..*$":
+
title: Organization subscription relationship
+
~
Schema
modified
resource_financial_item_report
Schema changes
x-used-in:
- serializer
- sorter
+
- filter
total_budget_total_default:
title: Total Budget Total Default
x-used-in:
~
Schema
modified
filter_task_list
Schema changes
not_contain:
"$ref": "#/components/schemas/resource_task_list/properties/status"
- "$ref": "#/components/schemas/resource_task_list/properties/status"
+
board_id:
+
oneOf:
+
- type: object
+
title: Operation
+
properties:
+
eq:
+
"$ref": "#/components/schemas/resource_task_list/properties/board_id"
+
not_eq:
+
"$ref": "#/components/schemas/resource_task_list/properties/board_id"
+
contains:
+
"$ref": "#/components/schemas/resource_task_list/properties/board_id"
+
not_contain:
+
"$ref": "#/components/schemas/resource_task_list/properties/board_id"
+
- "$ref": "#/components/schemas/resource_task_list/properties/board_id"
folder_id:
oneOf:
- type: object
...
- "$ref": "#/components/schemas/resource_task_list/properties/restorable"
x-internal: true
patternProperties:
+
"^board..*$":
+
title: Board relationship
"^folder..*$":
title: Folder relationship
"^project..*$":
+
Schema
added
filter_approval_status
Schema changes
+
type: object
+
title: Filter approval status
+
required: false
+
properties:
+
id:
+
oneOf:
+
- type: object
+
title: Operation
+
properties:
+
eq:
+
"$ref": "#/components/schemas/resource_approval_status/properties/id"
+
not_eq:
+
"$ref": "#/components/schemas/resource_approval_status/properties/id"
+
contains:
+
"$ref": "#/components/schemas/resource_approval_status/properties/id"
+
not_contain:
+
"$ref": "#/components/schemas/resource_approval_status/properties/id"
+
- "$ref": "#/components/schemas/resource_approval_status/properties/id"
+
booking_id:
+
oneOf:
+
- type: object
+
title: Operation
+
properties:
+
eq:
+
"$ref": "#/components/schemas/resource_approval_status/properties/booking_id"
+
not_eq:
+
"$ref": "#/components/schemas/resource_approval_status/properties/booking_id"
+
contains:
+
"$ref": "#/components/schemas/resource_approval_status/properties/booking_id"
+
not_contain:
+
"$ref": "#/components/schemas/resource_approval_status/properties/booking_id"
+
- "$ref": "#/components/schemas/resource_approval_status/properties/booking_id"
+
expense_id:
+
oneOf:
+
- type: object
+
title: Operation
+
properties:
+
eq:
+
"$ref": "#/components/schemas/resource_approval_status/properties/expense_id"
+
not_eq:
+
"$ref": "#/components/schemas/resource_approval_status/properties/expense_id"
+
contains:
+
"$ref": "#/components/schemas/resource_approval_status/properties/expense_id"
+
not_contain:
+
"$ref": "#/components/schemas/resource_approval_status/properties/expense_id"
+
- "$ref": "#/components/schemas/resource_approval_status/properties/expense_id"
+
approver_id:
+
oneOf:
+
- type: object
+
title: Operation
+
properties:
+
eq:
+
"$ref": "#/components/schemas/resource_approval_status/properties/approver_id"
+
not_eq:
+
"$ref": "#/components/schemas/resource_approval_status/properties/approver_id"
+
contains:
+
"$ref": "#/components/schemas/resource_approval_status/properties/approver_id"
+
not_contain:
+
"$ref": "#/components/schemas/resource_approval_status/properties/approver_id"
+
- "$ref": "#/components/schemas/resource_approval_status/properties/approver_id"
+
time_entry_id:
+
oneOf:
+
- type: object
+
title: Operation
+
properties:
+
eq:
+
"$ref": "#/components/schemas/resource_approval_status/properties/time_entry_id"
+
not_eq:
+
"$ref": "#/components/schemas/resource_approval_status/properties/time_entry_id"
+
contains:
+
"$ref": "#/components/schemas/resource_approval_status/properties/time_entry_id"
+
not_contain:
+
"$ref": "#/components/schemas/resource_approval_status/properties/time_entry_id"
+
- "$ref": "#/components/schemas/resource_approval_status/properties/time_entry_id"
+
actual_approver_id:
+
oneOf:
+
- type: object
+
title: Operation
+
properties:
+
eq:
+
"$ref": "#/components/schemas/resource_approval_status/properties/actual_approver_id"
+
not_eq:
+
"$ref": "#/components/schemas/resource_approval_status/properties/actual_approver_id"
+
contains:
+
"$ref": "#/components/schemas/resource_approval_status/properties/actual_approver_id"
+
not_contain:
+
"$ref": "#/components/schemas/resource_approval_status/properties/actual_approver_id"
+
- "$ref": "#/components/schemas/resource_approval_status/properties/actual_approver_id"
+
approval_workflow_id:
+
oneOf:
+
- type: object
+
title: Operation
+
properties:
+
eq:
+
"$ref": "#/components/schemas/resource_approval_status/properties/approval_workflow_id"
+
not_eq:
+
"$ref": "#/components/schemas/resource_approval_status/properties/approval_workflow_id"
+
contains:
+
"$ref": "#/components/schemas/resource_approval_status/properties/approval_workflow_id"
+
not_contain:
+
"$ref": "#/components/schemas/resource_approval_status/properties/approval_workflow_id"
+
- "$ref": "#/components/schemas/resource_approval_status/properties/approval_workflow_id"
+
x-internal: true
+
patternProperties: {}
+
+
Schema
added
_filter_root_approval_status
Schema changes
+
oneOf:
+
- type: object
+
title: Advanced filters
+
required:
+
- "$op"
+
properties:
+
"$op":
+
enum:
+
- or
+
- and
+
type: string
+
x-enums:
+
or: OR
+
and: AND
+
patternProperties:
+
"^[0-9]+$":
+
"$ref": "#/components/schemas/_filter_root_approval_status"
+
- "$ref": "#/components/schemas/filter_approval_status"
+
required: false
+
x-internal: true
+
~
Schema
modified
resource_task_list
Schema changes
x-used-in:
- serializer
- form
+
board:
+
title: Board
+
x-used-in:
+
- serializer
+
x-relationship: has_one
+
x-related-resource: resource_board
query:
type: string
title: Query
...
- serializer
x-relationship: has_one
x-related-resource: resource_project
+
board_id:
+
type: integer
+
title: Board
+
x-used-in:
+
- form
+
- filter
position:
type: integer
title: Position
...
title: Placement
x-used-in:
- serializer
+
board_name:
+
title: Board Name
+
x-used-in:
+
- sorter
project_id:
type: integer
title: Project
...
x-used-in:
- serializer
folder_name:
-
type: string
title: Folder Name
x-used-in:
- sorter
company_name:
-
type: string
title: Company Name
x-used-in:
- sorter
...
x-relationship: has_one
x-related-resource: resource_organization
project_name:
-
type: string
title: Project Name
x-used-in:
- sorter
~
Schema
modified
resource_todo
Schema changes
x-relationship: has_one
x-related-resource: resource_task
closed:
-
type: boolean
title: Closed
x-used-in:
- serializer
...
format: time
x-used-in:
- serializer
+
- form
position:
type: integer
title: Position
...
x-used-in:
- form
- filter
-
description:
-
type: string
-
title: Description
-
x-used-in:
-
- serializer
-
- form
organization:
title: Organization
x-used-in:
+
Schema
added
resource_approval_status
Schema changes
+
type: object
+
title: Approval status Resource
+
required: false
+
properties:
+
id:
+
type: integer
+
title: Id
+
x-used-in:
+
- filter
+
note:
+
type: string
+
title: Note
+
x-used-in:
+
- serializer
+
booking:
+
title: Booking
+
x-used-in:
+
- serializer
+
x-relationship: has_one
+
x-related-resource: resource_booking
+
expense:
+
title: Expense
+
x-used-in:
+
- serializer
+
x-relationship: has_one
+
x-related-resource: resource_expense
+
approver:
+
title: Approver
+
x-used-in:
+
- serializer
+
x-relationship: has_one
+
x-related-resource: resource_person
+
booking_id:
+
type: integer
+
title: Booking
+
x-used-in:
+
- filter
+
expense_id:
+
type: integer
+
title: Expense
+
x-used-in:
+
- filter
+
time_entry:
+
title: Time Entry
+
x-used-in:
+
- serializer
+
x-relationship: has_one
+
x-related-resource: resource_time_entry
+
approved_at:
+
type: string
+
title: Approved At
+
format: date-time
+
x-used-in:
+
- serializer
+
approver_id:
+
type: integer
+
title: Approver
+
x-used-in:
+
- filter
+
rejected_at:
+
type: string
+
title: Rejected At
+
format: date-time
+
x-used-in:
+
- serializer
+
target_type:
+
enum:
+
- booking
+
- time_entry
+
- expense
+
type: string
+
title: Target Type
+
x-enums:
+
booking: Booking
+
expense: Expense
+
time_entry: Time Entry
+
x-used-in:
+
- serializer
+
time_entry_id:
+
type: integer
+
title: Time Entry
+
x-used-in:
+
- filter
+
actual_approver:
+
title: Actual Approver
+
x-used-in:
+
- serializer
+
x-relationship: has_one
+
x-related-resource: resource_person
+
approval_workflow:
+
title: Approval Workflow
+
x-used-in:
+
- serializer
+
x-relationship: has_one
+
x-related-resource: resource_approval_workflow
+
actual_approver_id:
+
type: integer
+
title: Actual Approver
+
x-used-in:
+
- filter
+
approver_group_key:
+
type: string
+
title: Approver Group Key
+
x-used-in:
+
- serializer
+
x-feature-flags:
+
- pmDynamicApproverOnAbsences
+
approval_workflow_id:
+
type: integer
+
title: Approval Workflow
+
x-used-in:
+
- filter
+
dynamic_approver_type_id:
+
enum:
+
- 1
+
- 2
+
- 3
+
- 4
+
type: integer
+
title: Dynamic Approver Type
+
x-enums:
+
'1': Manager
+
'2': Budget owner
+
'3': Project manager
+
'4': Designated approver
+
x-used-in:
+
- serializer
+
fallback_approver_type_id:
+
enum:
+
- 1
+
- 2
+
type: integer
+
title: Fallback Approver Type
+
x-enums:
+
'1': Organization owner
+
'2': Budget owner
+
x-used-in:
+
- serializer
+
~
Schema
modified
resource_task
Schema changes
- serializer
x-relationship: has_many
x-related-resource: resource_attachment
-
description:
-
type: string
-
title: Description
-
nullable: true
-
x-used-in:
-
- serializer
-
- form
due_date_on:
type: string
title: Due Date On
+
Response
added
collection_agent_config
Schema changes
+
content:
+
application/vnd.api+json:
+
schema:
+
type: object
+
properties:
+
data:
+
type: array
+
items:
+
type: object
+
properties:
+
attributes:
+
type: object
+
properties:
+
created_at:
+
"$ref": "#/components/schemas/resource_agent_config/properties/created_at"
+
updated_at:
+
"$ref": "#/components/schemas/resource_agent_config/properties/updated_at"
+
instructions:
+
"$ref": "#/components/schemas/resource_agent_config/properties/instructions"
+
relationships:
+
type: object
+
properties:
+
agent:
+
"$ref": "#/components/schemas/_single_relationship"
+
attachments:
+
"$ref": "#/components/schemas/_collection_relationship"
+
meta:
+
"$ref": "#/components/schemas/_meta"
+
included:
+
type: array
+
items: {}
+
+
Response
added
single_agent_config
Schema changes
+
content:
+
application/vnd.api+json:
+
schema:
+
type: object
+
properties:
+
data:
+
type: object
+
properties:
+
attributes:
+
type: object
+
properties:
+
created_at:
+
"$ref": "#/components/schemas/resource_agent_config/properties/created_at"
+
updated_at:
+
"$ref": "#/components/schemas/resource_agent_config/properties/updated_at"
+
instructions:
+
"$ref": "#/components/schemas/resource_agent_config/properties/instructions"
+
relationships:
+
type: object
+
properties:
+
agent:
+
"$ref": "#/components/schemas/_single_relationship"
+
attachments:
+
"$ref": "#/components/schemas/_collection_relationship"
+
meta:
+
"$ref": "#/components/schemas/_meta"
+
included:
+
type: array
+
items: {}
+
+
Response
added
single_agent
Schema changes
+
content:
+
application/vnd.api+json:
+
schema:
+
type: object
+
properties:
+
data:
+
type: object
+
properties:
+
attributes:
+
type: object
+
properties:
+
name:
+
"$ref": "#/components/schemas/resource_agent/properties/name"
+
title:
+
"$ref": "#/components/schemas/resource_agent/properties/title"
+
status:
+
"$ref": "#/components/schemas/resource_agent/properties/status"
+
avatar_url:
+
"$ref": "#/components/schemas/resource_agent/properties/avatar_url"
+
created_at:
+
"$ref": "#/components/schemas/resource_agent/properties/created_at"
+
updated_at:
+
"$ref": "#/components/schemas/resource_agent/properties/updated_at"
+
deactivated_at:
+
"$ref": "#/components/schemas/resource_agent/properties/deactivated_at"
+
relationships:
+
type: object
+
properties:
+
person:
+
"$ref": "#/components/schemas/_single_relationship"
+
manager:
+
"$ref": "#/components/schemas/_single_relationship"
+
custom_role:
+
"$ref": "#/components/schemas/_single_relationship"
+
agent_config:
+
"$ref": "#/components/schemas/_single_relationship"
+
meta:
+
"$ref": "#/components/schemas/_meta"
+
included:
+
type: array
+
items: {}
+
+
Response
added
collection_agent
Schema changes
+
content:
+
application/vnd.api+json:
+
schema:
+
type: object
+
properties:
+
data:
+
type: array
+
items:
+
type: object
+
properties:
+
attributes:
+
type: object
+
properties:
+
name:
+
"$ref": "#/components/schemas/resource_agent/properties/name"
+
title:
+
"$ref": "#/components/schemas/resource_agent/properties/title"
+
status:
+
"$ref": "#/components/schemas/resource_agent/properties/status"
+
avatar_url:
+
"$ref": "#/components/schemas/resource_agent/properties/avatar_url"
+
created_at:
+
"$ref": "#/components/schemas/resource_agent/properties/created_at"
+
updated_at:
+
"$ref": "#/components/schemas/resource_agent/properties/updated_at"
+
deactivated_at:
+
"$ref": "#/components/schemas/resource_agent/properties/deactivated_at"
+
relationships:
+
type: object
+
properties:
+
person:
+
"$ref": "#/components/schemas/_single_relationship"
+
manager:
+
"$ref": "#/components/schemas/_single_relationship"
+
custom_role:
+
"$ref": "#/components/schemas/_single_relationship"
+
agent_config:
+
"$ref": "#/components/schemas/_single_relationship"
+
meta:
+
"$ref": "#/components/schemas/_meta"
+
included:
+
type: array
+
items: {}
+
+
Response
added
collection_backoffice_organization_report
Schema changes
+
content:
+
application/vnd.api+json:
+
schema:
+
type: object
+
properties:
+
data:
+
type: array
+
items:
+
type: object
+
properties:
+
attributes:
+
type: object
+
properties:
+
plan:
+
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/plan"
+
count:
+
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/count"
+
cycle:
+
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/cycle"
+
group:
+
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/group"
+
addons:
+
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/addons"
+
status:
+
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/status"
+
country:
+
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/country"
+
currency:
+
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/currency"
+
discount:
+
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/discount"
+
products:
+
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/products"
+
referrer:
+
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/referrer"
+
total_mrr:
+
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/total_mrr"
+
gtm_motion:
+
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/gtm_motion"
+
total_seats:
+
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/total_seats"
+
company_size:
+
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/company_size"
+
formula_fields:
+
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/formula_fields"
+
payment_method:
+
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/payment_method"
+
release_channel:
+
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/release_channel"
+
total_seats_max:
+
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/total_seats_max"
+
currency_default:
+
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/currency_default"
+
total_seats_used:
+
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/total_seats_used"
+
created_at_period:
+
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/created_at_period"
+
total_mrr_default:
+
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/total_mrr_default"
+
subscription_state:
+
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/subscription_state"
+
billing_group_admin:
+
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/billing_group_admin"
+
verification_status:
+
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/verification_status"
+
contract_date_period:
+
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/contract_date_period"
+
contract_end_date_period:
+
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/contract_end_date_period"
+
next_billing_cycle_at_period:
+
"$ref": "#/components/schemas/resource_backoffice_organization_report/properties/next_billing_cycle_at_period"
+
relationships:
+
type: object
+
properties:
+
erector:
+
"$ref": "#/components/schemas/_single_relationship"
+
organization:
+
"$ref": "#/components/schemas/_single_relationship"
+
billing_group_owner:
+
"$ref": "#/components/schemas/_single_relationship"
+
customer_success_specialist:
+
"$ref": "#/components/schemas/_single_relationship"
+
meta:
+
"$ref": "#/components/schemas/_meta"
+
included:
+
type: array
+
items: {}
+
~
Response
modified
collection_todo
Schema changes
"$ref": "#/components/schemas/resource_todo/properties/closed_at"
created_at:
"$ref": "#/components/schemas/resource_todo/properties/created_at"
-
description:
-
"$ref": "#/components/schemas/resource_todo/properties/description"
todoable_type:
"$ref": "#/components/schemas/resource_todo/properties/todoable_type"
relationships:
~
Response
modified
single_todo
Schema changes
"$ref": "#/components/schemas/resource_todo/properties/closed_at"
created_at:
"$ref": "#/components/schemas/resource_todo/properties/created_at"
-
description:
-
"$ref": "#/components/schemas/resource_todo/properties/description"
todoable_type:
"$ref": "#/components/schemas/resource_todo/properties/todoable_type"
relationships:
+
Response
added
collection_approval_status
Schema changes
+
content:
+
application/vnd.api+json:
+
schema:
+
type: object
+
properties:
+
data:
+
type: array
+
items:
+
type: object
+
properties:
+
attributes:
+
type: object
+
properties:
+
note:
+
"$ref": "#/components/schemas/resource_approval_status/properties/note"
+
approved_at:
+
"$ref": "#/components/schemas/resource_approval_status/properties/approved_at"
+
rejected_at:
+
"$ref": "#/components/schemas/resource_approval_status/properties/rejected_at"
+
target_type:
+
"$ref": "#/components/schemas/resource_approval_status/properties/target_type"
+
approver_group_key:
+
"$ref": "#/components/schemas/resource_approval_status/properties/approver_group_key"
+
dynamic_approver_type_id:
+
"$ref": "#/components/schemas/resource_approval_status/properties/dynamic_approver_type_id"
+
fallback_approver_type_id:
+
"$ref": "#/components/schemas/resource_approval_status/properties/fallback_approver_type_id"
+
relationships:
+
type: object
+
properties:
+
booking:
+
"$ref": "#/components/schemas/_single_relationship"
+
expense:
+
"$ref": "#/components/schemas/_single_relationship"
+
approver:
+
"$ref": "#/components/schemas/_single_relationship"
+
time_entry:
+
"$ref": "#/components/schemas/_single_relationship"
+
actual_approver:
+
"$ref": "#/components/schemas/_single_relationship"
+
approval_workflow:
+
"$ref": "#/components/schemas/_single_relationship"
+
meta:
+
"$ref": "#/components/schemas/_meta"
+
included:
+
type: array
+
items: {}
+
+
Response
added
single_approval_status
Schema changes
+
content:
+
application/vnd.api+json:
+
schema:
+
type: object
+
properties:
+
data:
+
type: object
+
properties:
+
attributes:
+
type: object
+
properties:
+
note:
+
"$ref": "#/components/schemas/resource_approval_status/properties/note"
+
approved_at:
+
"$ref": "#/components/schemas/resource_approval_status/properties/approved_at"
+
rejected_at:
+
"$ref": "#/components/schemas/resource_approval_status/properties/rejected_at"
+
target_type:
+
"$ref": "#/components/schemas/resource_approval_status/properties/target_type"
+
approver_group_key:
+
"$ref": "#/components/schemas/resource_approval_status/properties/approver_group_key"
+
dynamic_approver_type_id:
+
"$ref": "#/components/schemas/resource_approval_status/properties/dynamic_approver_type_id"
+
fallback_approver_type_id:
+
"$ref": "#/components/schemas/resource_approval_status/properties/fallback_approver_type_id"
+
relationships:
+
type: object
+
properties:
+
booking:
+
"$ref": "#/components/schemas/_single_relationship"
+
expense:
+
"$ref": "#/components/schemas/_single_relationship"
+
approver:
+
"$ref": "#/components/schemas/_single_relationship"
+
time_entry:
+
"$ref": "#/components/schemas/_single_relationship"
+
actual_approver:
+
"$ref": "#/components/schemas/_single_relationship"
+
approval_workflow:
+
"$ref": "#/components/schemas/_single_relationship"
+
meta:
+
"$ref": "#/components/schemas/_meta"
+
included:
+
type: array
+
items: {}
+
+
Parameter
added
filter_agent
Schema changes
+
in: query
+
name: filter
+
style: deepObject
+
schema:
+
"$ref": "#/components/schemas/_filter_root_agent"
+
required: false
+
+
Parameter
added
sort_agent_config
Schema changes
+
in: query
+
name: sort
+
style: form
+
schema:
+
type: array
+
items:
+
type: string
+
title: Sort agent config
+
explode: false
+
required: false
+
+
Parameter
added
sort_agent
Schema changes
+
in: query
+
name: sort
+
style: form
+
schema:
+
type: array
+
items:
+
type: string
+
title: Sort agent
+
explode: false
+
required: false
+
+
Parameter
added
filter_agent_config
Schema changes
+
in: query
+
name: filter
+
style: deepObject
+
schema:
+
"$ref": "#/components/schemas/_filter_root_agent_config"
+
required: false
+
+
Parameter
added
sort_backoffice_organization_report
Schema changes
+
in: query
+
name: sort
+
style: form
+
schema:
+
type: array
+
items:
+
enum:
+
- organization_id
+
- "-organization_id"
+
- name
+
- "-name"
+
- status
+
- "-status"
+
- subscription_state
+
- "-subscription_state"
+
- plan
+
- "-plan"
+
- payment_method
+
- "-payment_method"
+
- cycle
+
- "-cycle"
+
- lead_score
+
- "-lead_score"
+
- country
+
- "-country"
+
- erector
+
- "-erector"
+
- customer_success_specialist
+
- "-customer_success_specialist"
+
- billing_group_owner
+
- "-billing_group_owner"
+
- billing_group_admin
+
- "-billing_group_admin"
+
- number_of_calls
+
- "-number_of_calls"
+
- addons
+
- "-addons"
+
- deactivation_reason_id
+
- "-deactivation_reason_id"
+
- deactivation_note
+
- "-deactivation_note"
+
- verification_status
+
- "-verification_status"
+
- products
+
- "-products"
+
- discount
+
- "-discount"
+
- referrer
+
- "-referrer"
+
- company_size
+
- "-company_size"
+
- gtm_motion
+
- "-gtm_motion"
+
- release_channel
+
- "-release_channel"
+
- count
+
- "-count"
+
- total_seats
+
- "-total_seats"
+
- total_seats_used
+
- "-total_seats_used"
+
- total_seats_max
+
- "-total_seats_max"
+
- total_mrr
+
- "-total_mrr"
+
- organization_created_at
+
- "-organization_created_at"
+
- organization_contract_date
+
- "-organization_contract_date"
+
- organization_organization_subscription_next_billing_cycle_at
+
- "-organization_organization_subscription_next_billing_cycle_at"
+
- created_at
+
- "-created_at"
+
- contract_date
+
- "-contract_date"
+
- contract_end_date
+
- "-contract_end_date"
+
- next_billing_cycle_at
+
- "-next_billing_cycle_at"
+
type: string
+
title: Sort backoffice organization report
+
explode: false
+
required: false
+
+
Parameter
added
group_backoffice_organization_report
Schema changes
+
[...]
